#pragma once

namespace FDK
{
	// WindowMessageProc イベントを追加した Form。
	public ref class CWindow : Form
	{
	public:
		delegate void dgWndProc( Message %m );
		event dgWndProc^ WindowMessageProc;

		virtual void WndProc( Message %m ) override
		{
			this->WindowMessageProc( m );
			Form::WndProc( m );
		}

		System::Drawing::Size tクライアントサイズからウィンドウサイズを計算して返す( System::Drawing::Size szクライアントサイズ )
		{
			// SizeFromClientSize() は protected である。
			return this->SizeFromClientSize( szクライアントサイズ );
		}
	};
}
